#
#  Latin1ToSgml.pm
#
#  This is a latin1 only file containing functions having legacy
#  latin1 chars.  Split here to avoid the risk of messing up with
#  charsets in other files.
#
#  Copyright  1995, Cees de Groot
#  Copyright  1995, Farzad Farid
#  Copyright  1995, Greg Hankins
#  Copyright  2020, Agustin Martin
# ---------------------------------------------------------------------------

package LinuxDocTools::Data::Latin1ToSgml;

use strict;
use base qw(Exporter);
our @EXPORT_OK = qw(ldt_latin1tosgml);

# ---------------------------------------------------------------------------
sub ldt_latin1tosgml {
  # -------------------------------------------------------------------------
  # Convert latin1 chars in input filehandle to sgml entities in the
  # returned string
  # -------------------------------------------------------------------------
  my $FILE     = shift;
  my $sgmlout;

  while (<$FILE>){
    # Outline these commands later on - CdG
    #change latin1 characters to SGML
    #by Farzad Farid, adapted by Greg Hankins
    s//\&Agrave;/g;
    s//\&Aacute;/g;
    s//\&Acirc;/g;
    s//\&Atilde;/g;
    s//\&Auml;/g;
    s//\&Aring;/g;
    s//\&AElig;/g;
    s//\&Ccedil;/g;
    s//\&Egrave;/g;
    s//\&Eacute;/g;
    s//\&Ecirc;/g;
    s//\&Euml;/g;
    s//\&Igrave;/g;
    s//\&Iacute;/g;
    s//\&Icirc;/g;
    s//\&Iuml;/g;
    s//\&Ntilde;/g;
    s//\&Ograve;/g;
    s//\&Oacute;/g;
    s//\&Ocirc;/g;
    s//\&Otilde;/g;
    s//\&Ouml;/g;
    s//\&Oslash;/g;
    s//\&Ugrave;/g;
    s//\&Uacute;/g;
    s//\&Ucirc;/g;
    s//\&Uuml;/g;
    s//\&Yacute;/g;
    s//\&THORN;/g;
    s//\&szlig;/g;
    s//\&agrave;/g;
    s//\&aacute;/g;
    s//\&acirc;/g;
    s//\&atilde;/g;
    s//\&auml;/g;
    s//\&aring;/g;
    s//\&aelig;/g;
    s//\&ccedil;/g;
    s//\&egrave;/g;
    s//\&eacute;/g;
    s//\&ecirc;/g;
    s//\&euml;/g;
    s//\&igrave;/g;
    s//\&iacute;/g;
    s//\&icirc;/g;
    s//\&iuml;/g;
    s//\&mu;/g;
    s//\&eth;/g;
    s//\&ntilde;/g;
    s//\&ograve;/g;
    s//\&oacute;/g;
    s//\&ocirc;/g;
    s//\&otilde;/g;
    s//\&ouml;/g;
    s//\&oslash;/g;
    s//\&ugrave;/g;
    s//\&uacute;/g;
    s//\&ucirc;/g;
    s//\&uuml;/g;
    s//\&yacute;/g;
    s//\&thorn;/g;
    s//\&yuml;/g;
    $sgmlout .= $_;
  }
  return $sgmlout;
}

1;

__END__

# Local Variables:
# coding: iso-8859-1
# perl-indent-level: 2
# End:
